pyg_0.9.8ubuntu2_amd64.deb


Advertisement

Description

pyg - Python Mail <-> News Gateway

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pyg
Package version 0.9.8ubuntu2
Package architecture amd64
Package type deb
Installed size 129 B
Download size 28.25 KB
Official Mirror archive.ubuntu.com
Python Gateway Script from news to mail and vice versa.
It is intended to be a full SMTP/NNTP rfc compliant gateway
with whitelist manager.
You will probably have to install a mail-transport-agent and/or
news-transport-system package to manage SMTP/NNTP traffic.
MTA is needed for mail2news service, since mail have to be
processed on a box where pyg is installed. You can use a remote
smtpserver for news2mail.
News system is useful but not needed, since you can send articles to a
remote SMTP server (ie: moderated NG) where is installed pyg, otherwise you
will need it.
It refers to rfc 822 (mail) and 850 (news).

Alternatives

Package Version Architecture Repository
pyg_0.9.8ubuntu2_i386.deb 0.9.8ubuntu2 i386 Ubuntu Universe
pyg - - -

Requires

Name Value
libc6 >= 2.14
python >= 2.7.1-0ubuntu2
python2.7 -

Download

Type URL
Binary Package pyg_0.9.8ubuntu2_amd64.deb
Source Package pyg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pyg deb package:
    # sudo apt-get install pyg

Files

Path
/usr/bin/pygm2n
/usr/bin/pygn2m
/usr/lib/pyg/mail2news.py
/usr/lib/pyg/news2mail.py
/usr/lib/pyg/pyginfo.py
/usr/lib/pyg/whitelist.py
/usr/lib/pyg/wlp.so
/usr/share/doc/pyg/HOWTO
/usr/share/doc/pyg/README.Debian
/usr/share/doc/pyg/TODO
/usr/share/doc/pyg/changelog.gz
/usr/share/doc/pyg/copyright
/usr/share/doc/pyg/examples/README.example
/usr/share/doc/pyg/examples/articletest.accepted
/usr/share/doc/pyg/examples/articletest.denied
/usr/share/doc/pyg/examples/mail
/usr/share/doc/pyg/examples/whitelist.example
/usr/share/doc/pyg/examples/wlp_test
/usr/share/man/man1/pygm2n.1.gz
/usr/share/man/man1/pygn2m.1.gz
/usr/share/python/runtime.d/pyg.rtupdate

Changelog

2013-04-08 - Matthias Klose <doko@ubuntu.com>
pyg (0.9.8ubuntu2) raring; urgency=low
* Fix build failure with python in multiarch location.
2012-11-26 - Logan Rosen <logatronico@gmail.com>
pyg (0.9.8ubuntu1) raring; urgency=low
* Merge from Debian unstable. Remaining changes:
- adapt /wlp/C/Makefile for multiarched libfl.a
- include required string.h in wlp/C/commands.l
2012-10-02 - Cosimo Alfarano <kalfa@debian.org>
pyg (0.9.8) unstable; urgency=low
* Added string.h to avoid implicit declarations in yacc definitions.
Closes: #689349
* Remove some compile-time warning from wlp/C/wlp.c
* not ignore errors in clean targets on all Makefile
* debian/compat bump to 5 (higher should be tested)
* use dh_python2
2012-10-01 - Julian Taylor <jtaylor@ubuntu.com>
pyg (0.9.7ubuntu1) quantal; urgency=low
* adapt /wlp/C/Makefile for multiarched libfl.a
* include required string.h in wlp/C/commands.{l,y}
2008-07-18 - Cosimo Alfarano <kalfa@debian.org>
pyg (0.9.7) unstable; urgency=low
* Added maildrop as a possible deps (Closes: #385771)
* Typos fixed in HOWTO.
* Creating md5sum control file
2008-04-20 - Thomas Viehmann <tv@beamnet.de>
pyg (0.9.6-4.2) unstable; urgency=high
* Non-maintainer upload.
* Add BLDSHARED to Makefile.pre.in for python2.5 compatibility.
Closes: #476160
* Add shlibs:Depends in debian/control.
2006-08-12 - Pierre Habouzit <madcoder@debian.org>
pyg (0.9.6-4.1) unstable; urgency=low
* Non-maintainer upload.
* Update package to the last python policy (Closes: #380905).
* Bump DH_COMPAT to 4.
* Bump Standards-Version to 3.7.2.
2004-03-02 - Cosimo Alfarano <kalfa@debian.org>
pyg (0.9.6-4) unstable; urgency=low
* added some more header to be stripepd in mail2news class
closes:Bug#165322
2003-11-06 - Cosimo Alfarano <kalfa@debian.org>
pyg (0.9.6-3.1) unstable; urgency=low
* apply the full (not modified) version of the Matt's patch, for
compatibility reasons
2003-11-05 - Cosimo Alfarano <kalfa@debian.org>
pyg (0.9.6-3) unstable; urgency=low
* applied a modified version of patch from Matt Kraai sent in BTS
closes:Bug#213936

See Also

Package Description
pygfarm_2.0.18.3+nmu4ubuntu1_all.deb Collection of add-on modules for Pygopherd
pygopherd_2.0.18.3+nmu4ubuntu1_all.deb Modular Multiprotocol Gopher/HTTP/WAP Server in Python
pyhoca-cli_0.5.0.2-1_all.deb Command line X2Go client written in Python
pyhoca-gui_0.5.0.4-1_all.deb Graphical X2Go client written in (wx)Python
pyicqt_0.8.1.5-6_all.deb ICQ transport for Jabber
pykaraoke-bin_0.7.5-1.1_all.deb free CDG/MIDI/MPEG karaoke player
pykaraoke_0.7.5-1.1_all.deb free CDG/MIDI/MPEG karaoke player
pylang_0.0.4-0ubuntu3_amd64.deb complete right sentence with random words generated
pyliblo-utils_0.10.0-1build2_all.deb Command line utilities for sending and receiving OSC messages
pylint-doc_1.5.2-1ubuntu1_all.deb Python code static checker and UML diagram generator (documentation)
pylint3_1.5.2-1ubuntu1_all.deb Python 3 code static checker and UML diagram generator
pylint_1.5.2-1ubuntu1_all.deb Python code static checker and UML diagram generator
pylucene_3.5.0-1.2_amd64.deb Python extension for accessing Java Lucene (transitional dummy package)
pymacs_0.25-1_all.deb interface between Emacs Lisp and Python
pymappergui_0.1-2_all.deb Graphical User Interface for libmapper
Advertisement
Advertisement